torcky 发表于 2004-11-22 20:29:00

我转我转我转转转

程序做什么,谁run谁知道!


(defun c:w1 ()<BR>       (princ "\n")<BR>       (repeat 30 ;控制次数<BR>                       (princ "*****-- -- -- --*****")<BR>                       (mydelay )<BR>                       (princ "\r")<BR>                       (princ "*****\\\\ <A>\\\\</A> <A>\\\\</A> <A>\\\\</A>*****")<BR>                       (mydelay )<BR>                       (princ "\r")<BR>                       (princ "*****|| || || ||*****")<BR>                       (mydelay )<BR>                       (princ "\r")<BR>                       (princ "*****// // // //*****")<BR>                       (mydelay )<BR>                       (princ "\r")<BR>       )<BR>       (princ "\r")<BR>       (princ "                                                                                                                                                                       ")<BR>       (princ)<BR>)<BR>(defun mydelay(/ i j sum crtl)<BR>       (setq crtl 20)        ;控制快慢<BR>       (setq i 0)<BR>       (setq sum 0)<BR>       (while (&lt; i crtl)<BR>                       (setq i(1+ i))<BR>                       (setq j 0)<BR>                       (while(&lt; j 1000)<BR>                                       (setq j(1+ j))<BR>                                       (setq sum (+ sum j))<BR>                                       )<BR>                       )<BR>       )

xyp1964 发表于 2004-12-25 18:06:00

;;;这样更直接和简洁明了!


(defun c:test ()<BR>       (repeat 20                                ;控制次数<BR>                       (_dy)<BR>                       (princ "\r*****---- ---- ---- ----*****")<BR>                       (_dy)<BR>                       (princ "\r*****\\\\\\\\ <A>\\\\\\\\</A> <A>\\\\\\\\</A> <A>\\\\\\\\</A>*****")<BR>                       (_dy)<BR>                       (princ "\r*****|||| |||| |||| ||||*****")<BR>                       (_dy)<BR>                       (princ "\r*****//// //// //// ////*****")<BR>       )<BR>       (princ)<BR>)<BR>(defun _dy ()<BR>       (command "delay" "80")                ;控制快慢<BR>)<BR>

wengsg 发表于 2005-1-8 09:28:00

上面的程序能不能把这些"*****\\\\\\\\ <A>\\\\\\\\</A> <A>\\\\\\\\</A> <A>\\\\\\\\</A>*****"在运行时加入不同的颜色变化,那就更好了.

它山之石 发表于 2005-2-23 14:12:00

这样就有点用途了。

xyp1964 发表于 2005-3-6 21:39:00

可以在图面五光十色地转了:(load"xyp_lib")
(defun c:test()
   (jzhz)
   (mkla"test"1)
   (setq pt(getpoint"\n点 : "))
   (while T
       (command "text" "j" "MC" pt "500" "0" "*****---- ---- ---- ----*****")
       (setq s1 (entlast))
       (command"zoom""e")
       (_dy)
       (sub_upd s1 1 "*****\\\\\\\\ \\\\\\\\ \\\\\\\\ \\\\\\\\*****")
       (sub_upd s1 62 2)
       (_dy)
       (sub_upd s1 1 "*****|||| |||| |||| ||||*****")
       (sub_upd s1 62 3)
       (_dy)
       (sub_upd s1 1 "*****//// //// //// ////*****")
       (sub_upd s1 62 4)
       (_dy)
       (sub_upd s1 1 "*****---- ---- ---- ----*****")
       (sub_upd s1 62 5)
       (_dy)
       (sub_upd s1 1 "*****\\\\\\\\ \\\\\\\\ \\\\\\\\ \\\\\\\\*****")
       (sub_upd s1 62 6)
       (_dy)
       (sub_upd s1 1 "*****|||| |||| |||| ||||*****")
       (sub_upd s1 62 7)
       (_dy)
       (sub_upd s1 1 "*****//// //// //// ////*****")
       (sub_upd s1 62 8)
       (_dy)
       (sub_upd s1 1 "*****---- ---- ---- ----*****")
       (sub_upd s1 62 9)
       (_dy)
       (entdel s1)
               )
   )
(defun _dy ()
   (command "delay" "20")   ;控制快慢
)

wengsg 发表于 2005-4-22 17:44:00

你的xyp_lib.fas        原码可否共享,以便指导学习!

wengsg 发表于 2005-4-23 11:19:00

我在CAD2005里运行了,怎么没用呢?

花锦绣 发表于 2005-5-24 21:26:00

工作都麻木了,CAD也能娱乐。


下次我也整一个。
页: [1]
查看完整版本: 我转我转我转转转